Bug 1249486 - Cal utility shows incorrect week number by (1 week behind)
Cal utility shows incorrect week number by (1 week behind)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 03:39 EDT by Michal Toth
Modified: 2015-09-18 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.27-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Toth 2015-08-03 03:39:38 EDT
Description of problem:
Cal shows incorrect week number, when week starts on Sunday. 
Cal utility is one week behind, which is also shown in GUI settings.
When using Monday as first day of the week, cal shows correct week numbers.

Version-Release number of selected component (if applicable):
util-linux-2.26.2-1.fc22.x86_64
util-linux-2.24.2-2.fc20.x86_64


How reproducible:
Always

Steps to Reproduce:
Compare 
$ cal -w 
$ cal -w -m


Actual results:
In the first case, current week is 31 (incorrect)
      August 2015      
   Su Mo Tu We Th Fr Sa
30                    1 
31  2  3  4  5  6  7  8 
32  9 10 11 12 13 14 15 
33 16 17 18 19 20 21 22 
34 23 24 25 26 27 28 29 
35 30 31 

Expected results:
In the second case, current week is 32 (correct)
      August 2015      
   Mo Tu We Th Fr Sa Su
31                 1  2 
32  3  4  5  6  7  8  9 
33 10 11 12 13 14 15 16 
34 17 18 19 20 21 22 23 
35 24 25 26 27 28 29 30 
36 31

Additional info:
Comment 1 Karel Zak 2015-08-13 05:01:02 EDT
Yeah, it seems wrong. For US (or non-ISO based locales) year has always 53 weeks.
Comment 2 Fedora Update System 2015-09-07 07:26:54 EDT
util-linux-2.27-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15263
Comment 3 Fedora Update System 2015-09-07 14:20:24 EDT
util-linux-2.27-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update util-linux'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15263
Comment 4 Fedora Update System 2015-09-18 14:31:57 EDT
util-linux-2.27-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.